Skip to main content
PATCH
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

The organization's id (UUID) or slug — either form is accepted.

projectId
string
required

The project's id (UUID) or slug — either form is accepted.

policyId
string
required

Body

application/json
name
string
Pattern: ^[a-z][a-z0-9-]{1,61}$
enabled
boolean
severity
enum<string>
Available options:
info,
warning,
critical
scope
object
condition
object
channelIds
string[]
cooldownSeconds
integer

Response

Updated alert policy.

id
string
required
name
string
required
Pattern: ^[a-z][a-z0-9-]{1,61}$
enabled
boolean
required
severity
enum<string>
required
Available options:
info,
warning,
critical
scope
object
required
condition
object
required
channelIds
string[]
required

Organization alert channel ids. Dashboard visibility is always included.

cooldownSeconds
integer
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required